<script setup lang="ts">
import { marked } from 'marked';
import DOMPurify from 'dompurify';
import { computed } from 'vue';

const props = defineProps({
  content: String,
});

const compiledMarkdown = computed(() =>
  props.content ? DOMPurify.sanitize(marked(props.content)) : ''
);
</script>

<template>
  <div v-html="compiledMarkdown"></div>
</template>
